## k9copy 2.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,85 +15,22 @@
 INCLUDE(FindAvcodec)
 INCLUDE(FindAvformat)
 INCLUDE(FindFFmpegScale)
-
-set (VERSION 2.3.0)
-
-
-########################################
-# CPU and Host
-########################################
-MESSAGE(STATUS "Checking CPU and OS")
-
-
-EXECUTE_PROCESS(
-    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
-    OUTPUT_VARIABLE MACHINE
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-MESSAGE(STATUS "Building for target ${MACHINE}")
-
-STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
-IF (_machine_x86)
-    MESSAGE(STATUS "Found target X86")
-    SET(ADM_CPU_X86 1)
-ENDIF (_machine_x86)
-
-STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
-IF (_machine_x86_64)
-    MESSAGE(STATUS "Found target X86_64")
-    SET(ADM_CPU_X86_64 1)
-    SET(ADM_CPU_X86 0)
-ENDIF (_machine_x86_64)
-
-STRING(REGEX MATCH "(ppc-*)" _machine_ppc "${MACHINE}")
-IF (_machine_ppc)
-    MESSAGE(STATUS "Found target PPC")
-    SET(ADM_CPU_PPC 1)
-ENDIF (_machine_ppc)
-
-#convert any 64 bit build into generic 64 tag for below
-IF (ARCH_X86_64) 
-  SET(ARCH64BIT 1)
-ENDIF (ARCH_X86_64)
-
-IF (ADM_CPU_X86)
-	SET(ARCH_X86 1)
-	SET(ARCH_X86_32 1)
-ELSEIF (ADM_CPU_X86_64)
-	#SET(ARCH_X86 1)
-	SET(ARCH_X86_64 1)
-	SET(ARCH_64_BITS 1)
-ELSEIF (ADM_CPU_PPC)
-	OPTION(ALTIVEC "" ON)
-
-	SET(WORDS_BIGENDIAN 1)
-
-	IF (ALTIVEC)
-		SET(BUILD_ALTIVEC 1)
-		SET(ARCH_PPC 1)
-		SET(ARCH_POWERPC 1)
-		SET(USE_ALTIVEC 1)
-		SET(HAVE_ALTIVEC 1)
-
-		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mabi=altivec -maltivec")
-		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mabi=altivec -maltivec")
-
-		SET(HAVE_ALTIVEC_H 1)
-	ENDIF (ALTIVEC)
-ENDIF (ADM_CPU_X86)
+#INCLUDE(FindLibDvdread)
+
+set (VERSION 2.3.5)
 
 
 
 # usage: CHECK_INCLUDE_FILES (<header> <RESULT_VARIABLE> )
-CHECK_INCLUDE_FILES(inttypes.h      HAVE_INTTYPES_H)                    # simapi.h
-CHECK_INCLUDE_FILES(stddef.h        HAVE_STDDEF_H)                      # simapi.h
-CHECK_INCLUDE_FILES(stdint.h        HAVE_STDINT_H)                      # simapi.h
-CHECK_INCLUDE_FILES(stdlib.h        HAVE_STDLIB_H)                      # simapi.h
-CHECK_INCLUDE_FILES(string.h        HAVE_STRING_H)                      # _core/libintl.cpp
-CHECK_INCLUDE_FILES(sys/stat.h      HAVE_SYS_STAT_H)                    # gpg/gpg.cpp 
-CHECK_INCLUDE_FILES(sys/types.h     HAVE_SYS_TYPES_H)                   # simapi.h
-CHECK_INCLUDE_FILES(unistd.h        HAVE_UNISTD_H)                      # simapi.h
-CHECK_INCLUDE_FILES(malloc.h        HAVE_MALLOC_H)                      # simapi.h
+CHECK_INCLUDE_FILES(inttypes.h      HAVE_INTTYPES_H)                    # inttypes.h
+CHECK_INCLUDE_FILES(stddef.h        HAVE_STDDEF_H)                      # stddef.h
+CHECK_INCLUDE_FILES(stdint.h        HAVE_STDINT_H)                      # stdint.h
+CHECK_INCLUDE_FILES(stdlib.h        HAVE_STDLIB_H)                      # stdlib.h
+CHECK_INCLUDE_FILES(string.h        HAVE_STRING_H)                      # string.h
+CHECK_INCLUDE_FILES(sys/stat.h      HAVE_SYS_STAT_H)                    # stat.h
+CHECK_INCLUDE_FILES(sys/types.h     HAVE_SYS_TYPES_H)                   # types.h
+CHECK_INCLUDE_FILES(unistd.h        HAVE_UNISTD_H)                      # unistd.h
+CHECK_INCLUDE_FILES(malloc.h        HAVE_MALLOC_H)                      # malloc.h
 
 FINDFFMPEGSCALE("swscale")
 
@@ -108,11 +45,12 @@
 MESSAGE(STATUS "Checking dependencies" )
 FINDXINE("xine.h" "xine")
 FINDLIBMPEG2("mpeg2dec/mpeg2.h" "mpeg2")
+#FINDLIBDVDREAD("dvdread/ifo_types.h" "dvdread")
+
+FINDAVFORMAT("avformat")
 FINDAVCODEC("avcodec")
-FINDAVFORMAT("avformat")
 
 add_definitions( -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS)
-add_subdirectory( src/dvdread)
 add_subdirectory( src/dvdnav)
 add_subdirectory( src/core )
 add_subdirectory( src/mpeg2)
@@ -128,7 +66,6 @@
 
 include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdnav
- ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread
  ${CMAKE_CURRENT_SOURCE_DIR}/src/devices
  ${CMAKE_CURRENT_SOURCE_DIR}/src/core
  ${CMAKE_CURRENT_SOURCE_DIR}/src/vamps
@@ -140,7 +77,9 @@
  ${CMAKE_CURRENT_SOURCE_DIR}/src/import
  ${CMAKE_CURRENT_SOURCE_DIR}/src/player
  ${CMAKE_CURRENT_SOURCE_DIR}/src/subtitles
- ${KDE4_INCLUDES} ${QT_INCLUDES} 
+${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread 
+${KDE4_INCLUDES} ${QT_INCLUDES} 
+ #${LIBDVDREAD_INCLUDE_DIR}/dvdread
  ${AVCODEC_INCLUDE_DIR}
  ${AVFORMAT_INCLUDE_DIR}
  ${FFMPEGSCALE_INCLUDE_DIR}
@@ -150,15 +89,6 @@
 
 set (devices_SRCS
    src/devices/k9cddrive.cpp
-)
-
-set (libdvdread_SRCS
-   src/dvdread/dvd_input.c
-   src/dvdread/dvd_reader.c
-   src/dvdread/dvd_udf.c
-   src/dvdread/ifo_read.c
-   src/dvdread/md5.c
-   src/dvdread/nav_read.c
 )
 
 set (subtitles_SRCS
@@ -179,12 +109,20 @@
 )
 
 set (vamps_SRCS
-  src/vamps/cputest.cpp
   src/vamps/k9fifo.cpp
   src/vamps/k9requant.cpp
   src/vamps/k9vamps.cpp
-  src/vamps/tcmemcpy.cpp
-)
+)
+
+set (dvdread_SRCS
+   src/dvdread/dvd_input.c
+   src/dvdread/dvd_reader.c
+   src/dvdread/dvd_udf.c
+   src/dvdread/ifo_read.c
+   src/dvdread/md5.c
+   src/dvdread/nav_read.c
+)
+
 
 set (core_SRCS
   src/core/k9dvd.cpp
@@ -204,16 +142,20 @@
   src/core/k9saveimage.cpp
   src/core/k9drawimage.cpp
   src/core/k9progress.cpp
+  src/core/k9burnprogress.cpp
   src/core/k9audiocodecs.cpp
   src/core/k9videocodecs.cpp
   src/core/k9burndvd.cpp
   src/core/k9dvdbackupinterface.cpp
   src/core/k9dialogs.cpp
-
+  src/core/k9log.cpp
+  src/core/k9logview.cpp
   )
 kde4_add_ui_files(core_SRCS 
   src/core/dvdprogress.ui
   src/core/progress.ui
+  src/core/k9logview.ui
+
   )
 
 set (backup_SRCS
@@ -233,28 +175,9 @@
 )
 
 set (mpeg2_SRCS
-#   src/mpeg2/alloc.cpp
- #  src/mpeg2/cpu_accel.cpp
-#   src/mpeg2/cpu_state.cpp
-#   src/mpeg2/decode.cpp
-#   src/mpeg2/header.cpp
-#   src/mpeg2/idct_alpha.cpp
-#   src/mpeg2/idct_altivec.cpp
-#   src/mpeg2/idct.cpp
-#   src/mpeg2/idct_mmx.cpp
    src/mpeg2/k9decodethread.cpp
    src/mpeg2/k9plaympeg2.cpp
    src/mpeg2/kdecmpeg2.cpp
-#   src/mpeg2/motion_comp_alpha.cpp
-#   src/mpeg2/motion_comp_altivec.cpp
-#   src/mpeg2/motion_comp.cpp
-#   src/mpeg2/motion_comp_mmx.cpp
-#   src/mpeg2/motion_comp_vis.cpp
-#   src/mpeg2/rgb.cpp
-#   src/mpeg2/rgb_mmx.cpp
-#   src/mpeg2/rgb_vis.cpp
-#   src/mpeg2/slice.cpp
-#   src/mpeg2/uyvy.cpp
 )
 
 set (mplayer_SRCS
@@ -273,13 +196,12 @@
    src/import/k9chapteredit.cpp
    src/import/k9avidecode.cpp
    src/import/k9avifile.cpp
-   src/import/k9canvasselection.cpp
    src/import/k9import.cpp
    src/import/k9lvitemimport.cpp
    src/import/k9menubutton.cpp
    src/import/k9menu.cpp
    src/import/k9menuedit.cpp
-   src/import/k9menueditor.cpp
+   src/import/k9menuscene.cpp
    src/import/k9newdvd.cpp
    src/import/k9newtitle.cpp
    src/import/k9title.cpp
@@ -335,6 +257,7 @@
    src/main/k9prefmpeg4.cpp
    src/main/k9prefpreview.cpp
    src/main/k9prefauthor.cpp
+   src/main/k9prefdirs.cpp
    src/player/k9play.cpp
 )
 
@@ -357,16 +280,17 @@
    src/main/titlefactor.ui
    src/main/mencoderCmdGen.ui
    src/main/ffmpegCmdGen.ui
+   src/main/prefDirs.ui
 )
 
 
 set (k9copylib_SRCS
-   ${libdvdread_SRCS}
    ${libdvdnav_SRCS}
    ${core_SRCS}
    ${vamps_SRCS}
    ${mpeg2_SRCS}
    ${subtitles_SRCS}
+   ${dvdread_SRCS}
 )
 
 set(k9copy_SRCS
@@ -391,11 +315,12 @@
 )
 
 
+
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
 target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert )
 
 kde4_add_ui_files(k9copy_SRCS )
-#kde4_add_kcfg_files(k9copy_SRCS settings.kcfgc )
+
 kde4_add_executable(k9copy ${k9copy_SRCS})
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
@@ -418,19 +343,21 @@
 install(FILES k9copy_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 install(FILES k9copy_assistant_open.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
+
 kde4_install_icons( ${ICON_INSTALL_DIR} )
 
 
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "5")
 SET(CPACK_PACKAGE_NAME "k9copy")
 SET(CPACK_SOURCE_IGNORE_FILES 
 "moc_"
 "\\\\.a"
 "\\\\.moc"
 "\\\\.gmo"
+"\\\\.ts"
 "k9copy$"
 "k9play$"
 "k9xineplayer$"
@@ -460,6 +387,7 @@
 "\\\\.swp$"
 "\\\\.#"
 "/#"
+"build"
 )
 #SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" ) 
 INCLUDE(CPack)
