=== data/CMakeLists.txt ===
install( FILES anim.mng mencoder.xml aright.png adown.png DESTINATION  ${DATA_INSTALL_DIR}/k9copy )
