=== debian/changelog ===
k9copy (2.3.5-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_string_arg.diff to fix a syntax error with the i18n
    variable arguments. Thanks to Adrian Glaubitz for the patch (LP: #519388)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 11:48:40 -0500

k9copy (2.3.5-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #518996)
  * Remove 10_fix_de_po, fixed upstream
    - Remove debian/patches
    - Remove quilt build-depend
  * Switch to source format 3.0
  * Transition to dh --with kde $@
    - Bump debhelper build-depend to >= 7.0.50
    - Bump compat to 7
    - Remove cdbs build-depend

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 08 Feb 2010 20:59:42 +0100

k9copy (2.3.4-0ubuntu2) lucid; urgency=low

  * Add debian/patches/10_fix_de_po to fix spelling error in German
    translation (LP: #511516).

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 23 Jan 2010 11:59:11 +0100

k9copy (2.3.4-0ubuntu1) lucid; urgency=low

  * New upstream version.
  * drop debian/patches/kubuntu_01_ftbfs_fix.diff:
    Builds fine now.
  * Do not apply kubuntu_02_qt_phonon.diff: No longer needed.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 22 Jan 2010 22:51:09 +0100

k9copy (2.3.3-0ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:27:22 +0100

k9copy (2.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3

 -- Luka Renko <lure@ubuntu.com>  Thu, 20 Aug 2009 07:58:17 +0200

k9copy (2.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Fixed debian/rules:
    - use debian-qt-kde.mk instead of kde4.mk
  * Fixed debian/control:
    - build-depends on pkg-kde-tools
  * Added kubuntu_01_ftbfs_fix.diff:
    - Fixes FTBFS due to undeclared uint64_t and uint32_t
  * Added kubuntu_02_qt_phonon.diff:
    - Kubuntu uses QT Phonon

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 01 Jun 2009 07:12:14 +0200

k9copy (2.3.0-0ubuntu2) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:48:17 +0100

k9copy (2.3.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #339688)
    - Fixed deletion temporary files (LP: #226222)
    - Fixed missing documentation (LP: #307123)
  * Bump kdelibs5-dev to 4.2.1
  * Drop cmake, quilt, libphonon-dev, libqt4-opengl-dev are no longer need
  * Add libmpeg2-4-dev to build-deps
  * Add mkvtoolnix to depends, to support of matroska files, add twolame and
    mjpegtools to fix missing depends for dvdauthor

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 14 Mar 2009 02:44:19 +0100

k9copy (2.1.0-0ubuntu2) jaunty; urgency=low

  * No change rebuild to build with latest libdvdread. (LP: #330684).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 02 Mar 2009 20:36:44 +0100

k9copy (2.1.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - resolves open/crash bug (LP: #255344)
    - resolves FTBFS bug (LP: #311026)
  * Updated debian/rules to newest standard
  * Removed debian/cdbs, as is now obsolete

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 25 Dec 2008 20:06:29 -0500

k9copy (2.0.2-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Initial KDE4 release (LP: #227906) 
    - Added debian/cdbs for build in KDE 4
    - Changed rules for new build requirements
    - Updated copyright for new licenses
    - added k9player.1 and k9xineplayer.1 manpages
  * Bumped standards version to 3.8.0 (no change)
  * Bumped biuild-dep on debhelper to (>= 6) and changed compat to 6
  * Added watch file

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 07 May 2008 14:48:00 -0400

k9copy (1.2.3-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * debian/patches/kubuntu_05_typo_fix.patch: dropped, included upstream

 -- Luka Renko <lure@ubuntu.com>  Sun, 20 Jan 2008 16:38:59 +0100

k9copy (1.2.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Moved Homepage field to source stanza.
  * Removed kubuntu_01_kdepot.diff - no longer need (upstream updated
    admin).

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 31 Dec 2007 16:40:34 +0100

k9copy (1.2.1-0ubuntu2) hardy; urgency=low

  * debian/patches:
    - Added kubuntu_05_typo_fix.patch to fix a typo error (LP: #177715)
  * debian/control
     - Bump Standards-Version to 3.7.3
     - Added autotools-dev as Build-Depends to avoid the following lintian
       error: outdated-autotools-helper-file admin/config.{guess,sub}

 -- Miguel Ruiz <mruiz@ubuntu.com>  Wed, 26 Dec 2007 12:32:26 -0300

k9copy (1.2.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * debian/control: 
    * Build-Depends on libdvdread-dev (was libdvdread3-dev)
    * Build-Depends on libavformat-dev & libavcodec-dev
  * debian/patches/kubuntu_04_fix_header_files_inclusion.patch: 
    * Dropped, as it is resolved upstream
  * debian/patches/kubuntu_04_fix_libGL_crash.patch:
    * fix crash when libGL.so is not present, instead ask for 
      versioned name,  libGL.so.1 (LP: #174752)

 -- Luka Renko <lure@ubuntu.com>  Sun, 16 Dec 2007 12:34:12 +0100

k9copy (1.1.3-0ubuntu2) gutsy; urgency=low

  * Update upstream web site address (LP: #139193)
  * Change maintainer to MOTU

 -- Scott Kitterman <scott@kitterman.com>  Wed, 12 Sep 2007 15:22:36 -0400

k9copy (1.1.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Thu, 16 Aug 2007 16:42:33 +0200

k9copy (1.1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/control: add Build-Depends on DBus and HAL
  * kubuntu_02_fix_desktop_file.patch: drop, fixed upstream
  * kubuntu_03_fix_Makefile_files_in_po_directory.patch: updated to apply
  * kubuntu_04_fix_header_files_inclusion.patch: updated to apply

 -- Luka Renko <lure@ubuntu.com>  Sun, 12 Aug 2007 21:59:39 +0200


