=== debian/control ===
Source: k9copy
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), kdelibs5-dev (>= 4:4.2.1), libxss-dev,
 pkg-kde-tools, libdvdread-dev, libdbus-1-dev, libhal-dev, libhal-storage-dev,
 libavformat-dev, libxine-dev, libmpeg2-4-dev
Standards-Version: 3.8.3
Homepage: http://k9copy.sourceforge.net/

Package: k9copy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vamps, dvd+rw-tools, dvdauthor,
 mencoder, libdvdnav4, mkvtoolnix, mjpegtools, twolame
Description: DVD backup tool for KDE
 k9copy is a tabbed tool that allows to copy of one or more titles from a DVD9
 to a DVD5, in the same way than DVDShrink for Microsoft Windows (R).
