## k9copy 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 INCLUDE(FindFFmpegScale)
 #INCLUDE(FindLibDvdread)
 
-set (VERSION 2.3.5)
+set (VERSION 2.3.6)
 
 
 
@@ -317,7 +317,7 @@
 
 
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
-target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert )
+target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert -ldl )
 
 kde4_add_ui_files(k9copy_SRCS )
 
@@ -325,9 +325,9 @@
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
 
-target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon )
+target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon -lsolid  )
 target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  )
-target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine )
+target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine -lX11 )
 
 
 install(TARGETS k9copy DESTINATION ${BIN_INSTALL_DIR} )
@@ -350,7 +350,7 @@
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "5")
+SET(CPACK_PACKAGE_VERSION_PATCH "6")
 SET(CPACK_PACKAGE_NAME "k9copy")
 SET(CPACK_SOURCE_IGNORE_FILES 
 "moc_"
