=== debian/changelog ===
k9copy (2.3.6-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Drop kubuntu_01_fix_string_arg.diff, fixed upstream.
  * Add 01_fix_ftbfs_gcc45.patch.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 20:02:25 +0200

k9copy (2.3.5-0ubuntu3) maverick; urgency=low

  * Add build-depend on cmake since kdelibs5-dev no longer does

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 20:28:37 -0400
