=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50), kdelibs5-dev (>= 4:4.2.1), libxss-dev,
- pkg-kde-tools, libdvdread-dev, libdbus-1-dev, libhal-dev, libhal-storage-dev,
- libavformat-dev, libxine-dev, libmpeg2-4-dev
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev (>= 4:4.2.1), libxss-dev, libdvdread-dev, libdbus-1-dev,
+ libhal-dev, libhal-storage-dev, libavformat-dev, libxine-dev, libmpeg2-4-dev
+Standards-Version: 3.8.4
 Homepage: http://k9copy.sourceforge.net/
 
 Package: k9copy
