=== debian/watch ===

version=3
http://sf.net/k9copy/k9copy-(.*)\.tar\.gz debian uupdate
