## k9copy 2.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
+
+
+ SET(CMAKE_BUILD_TYPE Debug)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
@@ -17,7 +20,7 @@
 INCLUDE(FindFFmpegScale)
 #INCLUDE(FindLibDvdread)
 
-set (VERSION 2.3.6)
+set (VERSION 2.3.7)
 
 
 
@@ -45,7 +48,22 @@
 MESSAGE(STATUS "Checking dependencies" )
 FINDXINE("xine.h" "xine")
 FINDLIBMPEG2("mpeg2dec/mpeg2.h" "mpeg2")
+FIND_LIBRARY(LIBMPEG2CONVERT_LIBRARY NAMES mpeg2convert PATHS )
+IF (LIBMPEG2CONVERT_LIBRARY)
+      MESSAGE(STATUS "Found library mpeg2convert: ${LIBMPEG2CONVERT_LIBRARY}")
+ELSE (LIBMPEG2CONVERT_LIBRARY)
+      MESSAGE(FATAL_ERROR "Could not find mpeg2convert")
+ENDIF (LIBMPEG2CONVERT_LIBRARY)
+
+FIND_LIBRARY(LIBDL_LIBRARY NAMES "dl" PATHS )
+IF (LIBDL_LIBRARY)
+      MESSAGE(STATUS "Found library libdl: ${LIBDL_LIBRARY}")
+ELSE (LIBDL_LIBRARY)
+  FIND_LIBRARY(LIBDL_LIBRARY NAMES "c" PATHS )
+  MESSAGE(STATUS "Found library libc: ${LIBDL_LIBRARY}")
+ENDIF (LIBDL_LIBRARY)
 #FINDLIBDVDREAD("dvdread/ifo_types.h" "dvdread")
+
 
 FINDAVFORMAT("avformat")
 FINDAVCODEC("avcodec")
@@ -59,6 +77,7 @@
 add_subdirectory(src/mplayer)
 add_subdirectory(src/assistant)
 add_subdirectory(src/import)
+add_subdirectory(src/batch)
 add_subdirectory(icons)
 add_subdirectory(data)
 add_subdirectory(po)
@@ -77,13 +96,14 @@
  ${CMAKE_CURRENT_SOURCE_DIR}/src/import
  ${CMAKE_CURRENT_SOURCE_DIR}/src/player
  ${CMAKE_CURRENT_SOURCE_DIR}/src/subtitles
-${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread 
-${KDE4_INCLUDES} ${QT_INCLUDES} 
- #${LIBDVDREAD_INCLUDE_DIR}/dvdread
+ ${CMAKE_CURRENT_SOURCE_DIR}/src/dvdread
+ ${CMAKE_CURRENT_SOURCE_DIR}/src/batch
+${KDE4_INCLUDES} ${QT_INCLUDES}
+#${LIBDVDREAD_INCLUDE_DIR}/dvdread
  ${AVCODEC_INCLUDE_DIR}
  ${AVFORMAT_INCLUDE_DIR}
  ${FFMPEGSCALE_INCLUDE_DIR}
- ${FFMPEG_INCLUDE_DIR} 
+ ${FFMPEG_INCLUDE_DIR}
 )
 
 
@@ -151,7 +171,7 @@
   src/core/k9log.cpp
   src/core/k9logview.cpp
   )
-kde4_add_ui_files(core_SRCS 
+kde4_add_ui_files(core_SRCS
   src/core/dvdprogress.ui
   src/core/progress.ui
   src/core/k9logview.ui
@@ -167,9 +187,10 @@
    src/backup/k9mp4dlg.cpp
    src/backup/k9execcopy.cpp
    src/backup/k9convertaudio.cpp
-)
-
-kde4_add_ui_files(backup_SRCS 
+   src/player/k9play.cpp
+)
+
+kde4_add_ui_files(backup_SRCS
    src/backup/backupdlg.ui
    src/backup/mp4dlg.ui
 )
@@ -186,7 +207,7 @@
    src/mplayer/k9phonon.cpp
 )
 
-kde4_add_ui_files(mplayer_SRCS 
+kde4_add_ui_files(mplayer_SRCS
    src/mplayer/mplayer.ui
    src/mplayer/phonon.ui
 )
@@ -209,7 +230,7 @@
    src/import/k9importfiles.cpp
 )
 
-kde4_add_ui_files(import_SRCS 
+kde4_add_ui_files(import_SRCS
    src/import/chapterEdit.ui
    src/import/import.ui
    src/import/menuEdit.ui
@@ -227,7 +248,7 @@
    src/assistant/k9astdvdoption.cpp
 )
 
-kde4_add_ui_files(assistant_SRCS 
+kde4_add_ui_files(assistant_SRCS
    src/assistant/astsource.ui
    src/assistant/astdestination.ui
    src/assistant/asttitles.ui
@@ -258,15 +279,14 @@
    src/main/k9prefpreview.cpp
    src/main/k9prefauthor.cpp
    src/main/k9prefdirs.cpp
-   src/player/k9play.cpp
+   src/batch/k9batch.cpp
 )
 
 set (player_SRCS
- 	src/player/main.cpp
-	src/player/k9play.cpp
-)
-
-kde4_add_ui_files(main_SRCS 
+        src/player/main.cpp
+)
+
+kde4_add_ui_files(main_SRCS
    src/main/k9mainw.ui
    src/main/configDlg.ui
    src/main/playbackoptionsw.ui
@@ -283,6 +303,9 @@
    src/main/prefDirs.ui
 )
 
+set (batch_SRCS
+      src/batch/main.cpp
+)
 
 set (k9copylib_SRCS
    ${libdvdnav_SRCS}
@@ -291,21 +314,21 @@
    ${mpeg2_SRCS}
    ${subtitles_SRCS}
    ${dvdread_SRCS}
+   ${backup_SRCS}
 )
 
 set(k9copy_SRCS
    ${devices_SRCS}
-   ${backup_SRCS}
    ${mplayer_SRCS}
    ${import_SRCS}
    ${main_SRCS}
    ${assistant_SRCS}
    main.cpp
-	
+
  )
 
-set(k9play_SRCS 
-  ${player_SRCS}	
+set(k9play_SRCS
+  ${player_SRCS}
  )
 
 
@@ -317,7 +340,7 @@
 
 
 kde4_add_library(k9copylib STATIC ${k9copylib_SRCS})
-target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lkdesu -lmpeg2 -lmpeg2convert -ldl )
+target_link_libraries(k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDESU_LIBS} ${KDE4_KIO_LIBS} ${LIBMPEG2_LIBRARY} ${LIBMPEG2CONVERT_LIBRARY} ${LIBDL_LIBRARY})
 
 kde4_add_ui_files(k9copy_SRCS )
 
@@ -325,15 +348,15 @@
 kde4_add_executable(k9play ${k9play_SRCS})
 kde4_add_executable(k9xineplayer ${k9xineplayer_SRCS})
 
-target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  -lphonon -lsolid  )
-target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS}  )
-target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} -lxine -lX11 )
-
+ MESSAGE(STATUS "Found library solid: ${KDE4_SOLID_LIBS}")
+
+target_link_libraries(k9copy k9copylib ${KDE4_KDEUI_LIBS} ${PHONON_LIBRARY} ${KDE4_SOLID_LIBS})
+target_link_libraries(k9play k9copylib ${KDE4_KDEUI_LIBS}  )
+target_link_libraries(k9xineplayer ${KDE4_KDEUI_LIBS} ${XINE_LIBRARY} ${X11_X11_LIB} )
 
 install(TARGETS k9copy DESTINATION ${BIN_INSTALL_DIR} )
 install(TARGETS k9play DESTINATION ${BIN_INSTALL_DIR} )
 install(TARGETS k9xineplayer DESTINATION ${BIN_INSTALL_DIR} )
-
 ########### install files ###############
 
 install( FILES k9copy.desktop k9copy_assistant.desktop DESTINATION  ${XDG_APPS_INSTALL_DIR} )
@@ -350,9 +373,9 @@
 ############package###############
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "6")
+SET(CPACK_PACKAGE_VERSION_PATCH "7")
 SET(CPACK_PACKAGE_NAME "k9copy")
-SET(CPACK_SOURCE_IGNORE_FILES 
+SET(CPACK_SOURCE_IGNORE_FILES
 "moc_"
 "\\\\.a"
 "\\\\.moc"
@@ -389,6 +412,6 @@
 "/#"
 "build"
 )
-#SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" ) 
+#SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_CURRENT_BINARY_DIR};K9Copy;ALL;/" )
 INCLUDE(CPack)
