=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=k9copy-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/k9copy
