=== icons/CMakeLists.txt ===
IF (NOT BACKLITE)
kde4_install_icons( ${DATA_INSTALL_DIR}/k9copy/icons)
ENDIF (NOT BACKLITE)
