=== debian/changelog ===
k9copy (2.3.8-3) unstable; urgency=low

  * Add libdvdread-dev and libdvdnav-dev to build-dependencies.
  * Add link_libdvd_directly.patch to use system libraries.
  * Bump Standards-Version to 3.9.3: No further changes.

 -- Eshat Cakar <info@eshat.de>  Tue, 13 Mar 2012 20:00:14 +0100

k9copy (2.3.8-2) unstable; urgency=low

  * Use ${xine-x:Depends} (Closes: #656909)

 -- Eshat Cakar <info@eshat.de>  Tue, 06 Mar 2012 19:19:14 +0100

k9copy (2.3.8-1) unstable; urgency=low

  * New upstream version.
    - improved stability when ripping DVD
    - fixed crash that occured when trying to open a protected DVD
    - fixed compatibility with ffmpeg
    - new translations (uk)
  * Remove rename_deprecated_var.patch, applied upstream.
  * Fix "FTBFS with libav in experimental" by including 
    libavutil/mathematics.h in link_libav_directly.patch (Closes: #654232)
  * Bump compat level to 9, depend on debhelper 8.9.

 -- Eshat Cakar <info@eshat.de>  Tue, 03 Jan 2012 21:04:14 +0100
