=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: video
 Priority: optional
 Maintainer: Eshat Cakar <info@eshat.de>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 8.9.0),
 	       kdelibs5-dev (>= 4:4.2.1),
 	       pkg-kde-tools,
- 	       cmake,
+	       cmake,
 	       libxine-dev,
 	       libmpeg2-4-dev,
 	       libavformat-dev,
 	       libavcodec-dev,
 	       libswscale-dev,
+	       libdvdread-dev,
+	       libdvdnav-dev,
 	       libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://k9copy.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/k9copy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/k9copy.git
@@ -43,6 +45,6 @@
 Section: debug
 Priority: extra
 Depends: k9copy (= ${binary:Version}), 
-	 ${misc:Depends}
+	 ${misc:Depends},${xine-x:Depends},
 Description: KDE tool to backup DVDs (debugging symbols)
  This package contains the debugging symbols for k9copy
