=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --with kde
+	dh $@ --parallel --with kde --with xine
 
 override_dh_strip:
 	dh_strip --dbg-package=k9copy-dbg
